/*  Theme Name:   Hello Elementor Child
Theme URI:    https://marineducdigital.fr 
Description:  Ce thème enfant garantit la sécurité et la stabilité de votre site en permettant des mises à jour sans compromettre les personnalisations et ajustements effectués sur votre design ou votre code.  
Author:       Marine Duc Digital
Author URI:   https://marineducdigital.fr
Template:     hello-elementor
Version:      0.1.0 */


/*** MENU MOBILE  ***/
header .elementor-nav-menu--dropdown.elementor-nav-menu__container { 
    position: fixed !important; 
    top: 0 !important; 
    left: 0 !important;
    width: 80%; 
    max-width: 325px; 
    height: 100vh !important; 
    transform: translateX(-130%)!important; 
    transition: transform 0.35s ease; 
    z-index: 99999; 
    padding-top: 60px; 
    overflow-y: auto; 
    max-height: none!important; 
    margin-top: 0 !important; 
    border: none!important;} 


header .elementor-25 .elementor-element.elementor-element-2b7ff7d9 .elementor-nav-menu .elementor-item {
    font-size: 1rem!important;
    padding: 20px; }

header .elementor-nav-menu--dropdown.elementor-active {
    transform: translateX(0)!important;
    max-height: none !important; } 
    
header .menu-close { 
    background: none!important; 
    box-shadow: none!important;
    border: none; 
    cursor: pointer; 
    margin-left: auto; 
    display: block; 
    line-height: 1; 
    margin-bottom: 10px; 
    color: var(--e-global-color-secondary);
    font-size: 2rem;
    font-weight: 500;  
    position: absolute;
    right: 0; 
    z-index: 999;}
    
header .menu-close:hover, header .menu-close:focus { 
    background: none;
    color: var(--e-global-color-secondary); }
    
header .elementor-menu-toggle.elementor-active .elementor-menu-toggle__icon--open {display: block!important;}

div.elementor-menu-toggle.open {opacity: .5;}

svg.elementor-menu-toggle__icon--close.e-font-icon-svg.e-eicon-close {display: none!important;}

/* li.monogram-item {
    position: relative;
    bottom: 50px;
    border-bottom: 0px !important;
    max-width: 190px; } */

div#offcanvas-overlay {
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background: #00000075; }


/* BTN CONTACT */
header .elementor-nav-menu--main .elementor-nav-menu > li:last-child {margin: 20px;}
header .elementor-nav-menu > li:last-child a {
    padding: 15px 35px !important;
    border-radius: 50px;
    background: var(--e-global-color-primary);
    box-shadow: 0 0 20px #fefefe60; 
    justify-content: center;
    margin: 50px; }

header .elementor-nav-menu--main .elementor-nav-menu > li:last-child a.elementor-item:hover {
    box-shadow: 0 0 20px #fefefe85;
    color: var(--e-global-color-text)!important; }

header .elementor-nav-menu--main .elementor-nav-menu > li:last-child a.elementor-item:after, .hide-three a:after, .hide-two a:after {display: none;}

header .hide-three, header .hide-two {display: none!important;}


footer .btn-cookie button {
    background: none;
    border: none;
    box-shadow: none;
    padding: 0;
    font-weight: 500;
    margin-top: -15px;
    display: block; }



/*** POPUP REALISATION ***/
.mj-realisation-card {cursor: pointer;}

.mj-realisation-card .mj-realisation-data {display: none;}

.mj-realisation-modal {
  display: none;
  position: fixed;
  inset: 0;
  z-index: 99999; }

.mj-realisation-modal.is-open {
  display: flex;
  align-items: center;
  justify-content: center; }

.mj-realisation-modal__overlay {
  position: absolute;
  inset: 0;
  background: rgba(0, 15, 25, 0.85); }

.mj-realisation-modal__box {
    position: relative;
    z-index: 1;
    width: min(1450px, 90vw);
    max-height: 90vh;
    overflow: auto;
    background: #001b2b;
    border: 2px solid #e5f0f580;
    box-shadow: 5px 5px 20px 0px var(--shadow-light-blue);
    border-radius: 24px;
    padding: 32px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 32px; }

.mj-realisation-modal__close {
  position: absolute;
  top: 16px;
  right: 20px;
  border: none;
  color: white;
  font-size: 32px;
  cursor: pointer;
  border: none!important;
    padding: 2px 10px!important; }

.mj-realisation-modal__close:hover {
    background: var(--e-global-color-primary)!important;
    box-shadow: 0px 0px 15px 0px #e4eff573; }

.mj-modal-image {
  width: 100%;
  height: 100%;
  max-height: 600px;
  object-fit: cover;
  border-radius: 16px; }

.mj-realisation-modal__box .mj-modal-title {
    margin-top: 0;
    font-size: 1.8rem;
    margin-bottom: 35px; }


.mj-modal-service {margin-top: 24px; }

.mj-modal-text p {margin: 0 0 1em; line-height: 1.7;}

.mj-modal-text p:last-child {margin-bottom: 0;}
/*** END POPUP REALISATION ***/



/*** Read More Bloc ***/
.mj-readmore-card {border-radius: 8px!important; }

.mj-readmore-card .elementor-widget-text-editor {
  max-height: 150px;
  overflow: hidden;
  transition: max-height 0.5s ease-in-out;
}

.mj-readmore-card.is-open .elementor-widget-text-editor {
  max-height: 800px;
}

.mj-readmore-card .mj-readmore-btn {
  cursor: pointer;
  display: inline-flex;
  align-items: center;
  gap: 8px;
  transition: opacity 0.2s ease;
}

.mj-readmore-card .mj-readmore-btn:hover {
  opacity: 0.7;
}

/*** END Read More Bloc ***/


span.selection, input, textarea, button#forminator-field-upload-1_6a33aa1a4f34d_button {
    border-radius: 5px !important;
    overflow: hidden; }

button.forminator-button.forminator-button-submit {
    padding: 15px 30px !important;
    border-radius: 50px !important; 
    margin-top: 25px!important; }

.page-id-34 .elementor-widget.elementor-widget-shortcode {max-width: 650px !important; width: 100%!important;}



@media (max-width: 767px) {



}


@media screen and (max-width: 1024px) {

    .certif-box{
    overflow: hidden;
    width: 100%;
    position: relative;
    }

    .certif-track{
    display: flex;
    width: max-content;
    will-change: transform;
    }

    .certif-group {
    display: flex;
    align-items: center;
    gap: 50px; /* espace entre les logos */
    flex-shrink: 0;
    margin-left: 50px;
    }

    .mj-realisation-modal__box {
        grid-template-columns: 1fr;
        padding: 24px;
    }

}

@media screen and (min-width: 768px) {


}

@media screen and (min-width: 1024px) {
    header .elementor-nav-menu--main .elementor-nav-menu > li:last-child {margin: 0;}
    header li.monogram-item {display: none!important;}

    header .hide-three {display: flex!important;}
    header .hide-item-3 {display: none!important;}
 

    header .hide-three a:hover, header .hide-two a:hover, header .hide-three svg, header .hide-two svg {color: var(--e-global-color-text)!important; fill: var(--e-global-color-text)!important; }

    header .elementor-nav-menu .sub-arrow {padding: 5px;}

    header .elementor-nav-menu--dropdown {
        box-shadow: 5px 5px 10px #ffffff50;
        width: 125%!important;
        margin-left: -14.5%!important; 
        padding-bottom: 15px !important;
        border-radius: 8px; }

    header .elementor-nav-menu--dropdown a {padding: 10px 15px;}

    /* .elementor-nav-menu--dropdown  */

    header .elementor-nav-menu > li:last-child a {margin: 0; }

    .slider-service {overflow: hidden;}
    .slider-service .swiper {overflow: visible;}

    .mj-realisation-modal__box {
        gap: 50px;
        padding: 50px; 
        align-items:center;}


    .mj-realisation-modal__box .mj-realisation-modal__content {padding: 50px 0; }



}

@media screen and (min-width: 1350px) {
    header .hide-three {display: none!important;}
    header .hide-item-3 {display: flex!important;}
    header .hide-two {display: flex!important;}
    header .hide-item-2 {display: none!important;}
}

@media screen and (min-width: 1560px) {
    header .hide-item-2 {display: flex!important;}
    header .hide-two {display: none!important;}
}


@media screen and (min-width: 1750px) {

}
